classification
Title: bsddb wrapper does not export some low-level functions
Type: enhancement Stage: test needed
Components: Extension Modules, Library (Lib) Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, jcea, mmokrejs
Priority: normal Keywords:

Created on 2005-02-22 23:15 by mmokrejs, last changed 2010-08-21 12:28 by BreamoreBoy. This issue is now closed.

Messages (3)
msg60674 - (view) Author: Martin Mokrejs (mmokrejs) Date: 2005-02-22 23:15
If you go and read docs/api_c/db_list.html in any newer
BerkelyDB source tree, you find some methods not
exported in/usr/lib/python2.3/bsddb/__init__.py
although at least some do exist in dbobj.py.

For example, of my interrest were two mentioned in the
patch. I believe someone should go and make sure they
are present. 
msg60675 - (view) Author: Martin Mokrejs (mmokrejs) Date: 2005-02-23 00:01
Logged In: YES 
user_id=696559

Please read docs/ref/env/db_config.html and allow users to
specify the DB_CONFIG file to override any methods not
expoerted through bsddb wrapper yet. Using that approach,
user can alter many options available only when database is
created!

docs/ref/am_misc/tune.html
docs/ref/am_misc/faq.html
msg114489 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-21 12:28
This won't happen as bsddb was removed from py3k.
History
Date User Action Args
2010-08-21 12:28:14BreamoreBoysetstatus: open -> closed
title: bssdb wrapper does not export some low-level functions -> bsddb wrapper does not export some low-level functions
nosy: + BreamoreBoy

messages: + msg114489

resolution: out of date
2009-02-16 03:11:58ajaksu2setstage: test needed
versions: + Python 2.7, - Python 3.1
2009-02-15 23:45:28ajaksu2settype: enhancement
components: + Extension Modules
versions: + Python 3.1, - Python 2.3
2008-03-10 18:29:50jceasetnosy: + jcea
2005-02-22 23:15:30mmokrejscreate